## sonobuoy images

Manage images used in a plugin to facilitate running them in airgapped (or similar) environments. Supported plugins are: 'e2e'

```
sonobuoy images [flags]
```

### Options

```
      --context string              Context in the kubeconfig to use.
      --dry-run                     If true, only print the image operations that would be performed.
  -h, --help                        help for images
      --kubeconfig Kubeconfig       Path to explicit kubeconfig file.
      --kubernetes-version string   Use default E2E image, but override the version. Default is 'auto', which will be set to your cluster's version if detected, erroring otherwise. 'ignore' will try version resolution but ignore errors. 'latest' will find the latest dev image/version upstream.
  -p, --plugin strings              Describe which plugin's images to interact with (Valid plugins are 'e2e', 'systemd-logs'). (default [e2e,systemd-logs])
      --plugin-env pluginenvvar     Set env vars on plugins. Values can be given multiple times and are in the form plugin.env=value (default map[])
```

### Options inherited from parent commands

```
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy](sonobuoy.md)	 - Generate reports on your Kubernetes cluster by running plugins
* [sonobuoy images delete](sonobuoy_images_delete.md)	 - Deletes all images downloaded to local docker client
* [sonobuoy images download](sonobuoy_images_download.md)	 - Saves downloaded images from local docker client to a tar file
* [sonobuoy images list](sonobuoy_images_list.md)	 - List images
* [sonobuoy images pull](sonobuoy_images_pull.md)	 - Pulls images to local docker client for a specific plugin
* [sonobuoy images push](sonobuoy_images_push.md)	 - Pushes images to docker registry for a specific plugin

###### Auto generated by spf13/cobra on 2-Mar-2023
